//
//  MoreApplicationsTwoHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/9/26.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "MoreApplicationsTwoHttpCmd.h"
#import "MoreApplicationsTwoHttpResult.h"
static NSString *kActionUrl1 = @"/enterprise/activity/queryReleasedAll";
@implementation MoreApplicationsTwoHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[MoreApplicationsTwoHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}
    
- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[MoreApplicationsTwoHttpResult alloc]init];
    }
    return self;
}
    
- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
    @end
NSString *const kHttpMoreApplicationsTwoHttpCmd_orderby = @"orderby";
NSString *const kHttpMoreApplicationsTwoHttpCmd_pageNum = @"pageNum";
NSString *const kHttpMoreApplicationsTwoHttpCmd_pageSize = @"pageSize";
NSString *const kHttpMoreApplicationsTwoHttpCmd_sort = @"sort";
NSString *const kHttpMoreApplicationsTwoHttpCmd_filters = @"filters";
NSString *const kHttpMoreApplicationsTwoHttpCmd_value = @"value";
NSString *const kHttpMoreApplicationsTwoHttpCmd_attr = @"attr";
NSString *const kHttpMoreApplicationsTwoHttpCmd_userid = @"userid";
NSString *const kHttpMoreApplicationsTwoHttpCmd_empid = @"empid"; 
